UIPackage
Menu

Framework

Change language

Boilerplate repo

Data List

data-listui

Vertical key/value list for showing read-only metadata — invoice details, settings summaries, profile fields. Pair items in label/value rows; supports inline edit triggers and trailing actions per row.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/data-list.json
Named registry:npx shadcn-vue@latest add @uipkge/data-listInstalls to:app/components/ui/data-list/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
classHTMLAttributes['class']optional

Used by

Files installed (3)

  • app/components/ui/data-list/DataList.vue0.3 kB
    <script setup lang="ts">
    import type { HTMLAttributes } from 'vue'
    import { cn } from '@/lib/utils'
    
    const props = defineProps<{
      class?: HTMLAttributes['class']
    }>()
    </script>
    
    <template>
      <div data-uipkge data-slot="data-list" :class="cn('flex flex-col', props.class)">
        <slot />
      </div>
    </template>
    
  • app/components/ui/data-list/DataListItem.vue0.5 kB
  • app/components/ui/data-list/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/vue/data-list.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Data List

data-listui

Vertical key/value list for showing read-only metadata — invoice details, settings summaries, profile fields. Pair items in label/value rows; supports inline edit triggers and trailing actions per row.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/data-list.json
Named registry:npx shadcn@latest add @uipkge-react/data-listInstalls to:components/ui/data-list/

Examples

Loading interactive previews…

Used by

Files installed (2)

  • components/ui/data-list/data-list.tsx0.8 kB
    import * as React from 'react'
    import { cn } from '@/lib/utils'
    
    const DataList = React.forwardRef<HTMLDivElement, React.HTMLAttributes<HTMLDivElement>>(
      ({ className, ...props }, ref) => (
        <div ref={ref} data-uipkge="" data-slot="data-list" className={cn('flex flex-col', className)} {...props} />
      ),
    )
    DataList.displayName = 'DataList'
    
    const DataListItem = React.forwardRef<HTMLDivElement, React.HTMLAttributes<HTMLDivElement>>(
      ({ className, ...props }, ref) => (
        <div
          ref={ref}
          data-uipkge=""
          data-slot="data-list-item"
          className={cn(
            'flex flex-row items-center justify-between border-b py-4 transition-colors duration-200 first:pt-0 last:border-0 last:pb-0',
            className,
          )}
          {...props}
        />
      ),
    )
    DataListItem.displayName = 'DataListItem'
    
    export { DataList, DataListItem }
    
  • components/ui/data-list/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/react/data-list.json